/* FILE: mmdisp.h                 -*-Mode: c++-*-
 *
 * Standard macro definitions.
 *
 */

#ifndef MMDISP_H
#define MMDISP_H

/*
 * These version numbers follow the Tcl version number convention.
 *
 * Goal is to have CVS handle updating of these values, as well as the
 * CVS tags.
 * 
 * Don't edit these values by hand.  Let CVS manage them.
 */
 
#define MMDISP_MAJOR_VERSION   0
#define MMDISP_MINOR_VERSION   0
#define MMDISP_RELEASE_LEVEL   1
#define MMDISP_RELEASE_SERIAL  0

#define MMDISP_VERSION "0.0"
#define MMDISP_PATCH_LEVEL "0.0b0"

// Why isn't this in 'tcl.h'? Grrrrr.
EXTERN void panic _ANSI_ARGS_(TCL_VARARGS(char *,format));
EXTERN void Mmd_Panic _ANSI_ARGS_(TCL_VARARGS(char *,format));

#if (SYSTEM_TYPE==WINDOWS)
EXTERN void Mmd_WinPanic _ANSI_ARGS_(TCL_VARARGS(char *,format));
#endif

#endif // MMDISP_H
